Skip to main content
`Ctrl`+`K`

# Constant

class astropy.constants.Constant(abbrev, name, value, unit, uncertainty, reference=None, system=None)

  Bases: `Quantity`

  A physical or astronomical constant.

  These objects are quantities that are meant to represent physical constants.

  Parameters:
    abbrev `python:str`

      A typical ASCII text abbreviation of the constant, generally the same as the Python variable used for this constant.

    name `python:str`

      Full constant name.

    value `numbers.Real`

      Constant value. Note that this should be a bare number, not a |Quantity|.

    unit `python:str`

      String representation of the constant units.

    uncertainty `numbers.Real`

      Absolute uncertainty in constant value. Note that this should be a bare number, not a |Quantity|.

    reference `python:str`, optional

      Reference where the value is taken from.

    system `python:str`

      System of units in which the constant is defined. This can be `None` when the constant’s units can be directly converted between systems.

  Attributes Summary

  `abbrev` | A typical ASCII text abbreviation of the constant, also generally the same as the Python variable used for this constant.
  `cgs` | If the Constant is defined in the CGS system return that instance of the constant, else convert to a Quantity in the appropriate CGS units.
  `name` | The full name of the constant.
  `reference` | The source used for the value of this constant.
  `si` | If the Constant is defined in the SI system return that instance of the constant, else convert to a Quantity in the appropriate SI units.
  `system` | The system of units in which this constant is defined (typically `None` so long as the constant's units can be directly converted between systems).
  `uncertainty` | The known absolute uncertainty in this constant's value.

  Methods Summary

  `copy`() | Return a copy of this `Constant` instance.

  Attributes Documentation

  abbrev

    A typical ASCII text abbreviation of the constant, also generally the same as the Python variable used for this constant.

  cgs

    If the Constant is defined in the CGS system return that instance of the constant, else convert to a Quantity in the appropriate CGS units.

  name

    The full name of the constant.

  reference

    The source used for the value of this constant.

  si

    If the Constant is defined in the SI system return that instance of the constant, else convert to a Quantity in the appropriate SI units.

  system

    The system of units in which this constant is defined (typically `None` so long as the constant’s units can be directly converted between systems).

  uncertainty

    The known absolute uncertainty in this constant’s value.

  Methods Documentation

  copy()

    Return a copy of this `Constant` instance. Since they are by definition immutable, this merely returns another reference to `self`.